with GNATCOM.Dispinterface;

package MSHTML.IHTMLDOMConstructorCollection_Object is

   type IHTMLDOMConstructorCollection_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   function Get_Attr
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_BehaviorUrnsCollection
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_BookmarkCollection
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_compatibleInfo
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_CompatibleInfoCollection
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_ControlRangeCollection
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_CSSCurrentStyleDeclaration
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_CSSRuleList
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_CSSRuleStyleDeclaration
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_CSSStyleDeclaration
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_CSSStyleRule
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_CSSStyleSheet
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_dataTransfer
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_DOMImplementation
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_element
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_event
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_history
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_HTCElementBehaviorDefaults
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_HTMLAnchorElement
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_HTMLAreaElement
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_HTMLAreasCollection
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_HTMLBaseElement
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_HTMLBaseFontElement
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_HTMLBGSoundElement
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_HTMLBlockElement
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_HTMLBodyElement
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_HTMLBRElement
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_HTMLButtonElement
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_HTMLCollection
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_HTMLCommentElement
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_HTMLDDElement
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_HTMLDivElement
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_HTMLDocument
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_HTMLDListElement
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_HTMLDTElement
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_HTMLEmbedElement
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_HTMLFieldSetElement
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_HTMLFontElement
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_HTMLFormElement
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_HTMLFrameElement
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_HTMLFrameSetElement
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_HTMLGenericElement
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_HTMLHeadElement
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_HTMLHeadingElement
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_HTMLHRElement
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_HTMLHtmlElement
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_HTMLIFrameElement
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_HTMLImageElement
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_HTMLInputElement
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_HTMLIsIndexElement
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_HTMLLabelElement
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_HTMLLegendElement
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_HTMLLIElement
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_HTMLLinkElement
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_HTMLMapElement
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_HTMLMarqueeElement
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_HTMLMetaElement
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_HTMLModelessDialog
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_HTMLNamespaceInfo
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_HTMLNamespaceInfoCollection
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_HTMLNextIdElement
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_HTMLNoShowElement
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_HTMLObjectElement
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_HTMLOListElement
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_HTMLOptionElement
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_HTMLParagraphElement
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_HTMLParamElement
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_HTMLPhraseElement
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_HTMLPluginsCollection
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_HTMLPopup
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_HTMLScriptElement
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_HTMLSelectElement
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_HTMLSpanElement
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_HTMLStyleElement
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_HTMLTableCaptionElement
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_HTMLTableCellElement
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_HTMLTableColElement
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_HTMLTableElement
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_HTMLTableRowElement
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_HTMLTableSectionElement
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_HTMLTextAreaElement
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_HTMLTextElement
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_HTMLTitleElement
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_HTMLUListElement
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_HTMLUnknownElement
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_Image
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_location
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_NamedNodeMap
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_navigator
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_NodeList
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_Option
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_screen
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_selection
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_StaticNodeList
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_Storage
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_StyleSheetList
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_StyleSheetPage
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_StyleSheetPageList
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_text
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_TextRange
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_TextRangeCollection
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_TextRectangle
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_TextRectangleList
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_window
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_XDomainRequest
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

   function Get_XMLHttpRequest
     (This : IHTMLDOMConstructorCollection_Type)
     return GNATCOM.Types.VARIANT;

end MSHTML.IHTMLDOMConstructorCollection_Object;

